#
# spec file for package rpm2html (Version 1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext libxml libxml-devel libz popt
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rpm2html
Copyright:    W3C IPR SOFTWARE NOTICE
Group:      Networking/Utilities
Provides:     rpm2html 
Autoreqprov:  on
Summary:      RPM database info to HTML converter
Version:      1.5
Release:      108
Source:     ftp://rpmfind.net/pub/rpm2html/rpm2html-%{version}.tar.gz
URL:        http://rpmfind.net/linux/rpm2html/
Patch:      rpm2html-%{version}.dif
# autoconf 
BuildRoot:  /var/tmp/rpm2html-root

%description
from the original spec file:
rpm2html tries to solve 2 big problems one face when
grabbing a RPM package from a mirror on the net and trying to
install it:
- it gives more information than just the filename before
installing the package.
- it tries to solve the dependancy problem by analyzing all
the Provides and Requires of the set of RPMs. It shows the
cross references by the way of hypertext links.
You'll find example configuration files at /usr/share/doc/packages/rpm2html. -
Use it in combination with the package `rpmfind'.

Authors:
--------
    Daniel Veillard <veillard@w3.org>

SuSE series: ap

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch
%{?suse_update_config:%{suse_update_config -f}}
autoconf

%build
# rm config.cache
CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE64_SOURCE -I%{_prefix}/include -I%{_prefix}/include/rpm" \
./configure --prefix=%{_prefix} \
            --mandir=%{_mandir} \
            --sysconfdir=/var/lib
make depends
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_bindir}
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_datadir}/$RPM_PACKAGE_NAME
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_mandir}/man1
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/lib
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
             mandir=$RPM_BUILD_ROOT%{_mandir} \
             sysconfdir=$RPM_BUILD_ROOT/var/lib
%{INSTALL_DATA} new.gif dir.gif $RPM_BUILD_ROOT%{_datadir}/$RPM_PACKAGE_NAME
# make install.man
# gzip -9f $RPM_BUILD_ROOT/usr/man/man1/rpm2html.1
# export RPM_BUILD_ROOT
# %clean
# rm -fr $RPM_BUILD_ROOT
# /usr/share/rpm2html.config

%files
%doc CHANGES Copyright PRINCIPLES README INSTALL TODO help.html
%doc rpm2html-cdrom.config rpm2html-en.config rpm2html.config.mirrors
%doc rpm2html-fr.config rpm2html.config.resources rpm2html-rdf.config
%dir /usr/bin
%{_bindir}/rpm2html
# /usr/lib/libxml.a
%{_datadir}/rpm2html
%config /var/lib/rpm2html.config
%{_mandir}/*/*

%changelog -n rpm2html
* Tue Jun 12 2001 - schwab@suse.de
- Add %%suse_update_config.
* Fri Mar 30 2001 - pblaha@suse.cz
- update on 1.5
* Tue Nov 14 2000 - ke@suse.de
- more spec file macros.
- use -D_LARGEFILE64_SOURCE (thanks to Andreas Jaeger).
- apply patch to configure.in to check for `main' in librpm.
* Thu Mar 02 2000 - ke@suse.de
- spec file cleanup:
- use rpm macros (version, _mandir, etc.).
- add group tag.
- ./configure -> %%build
* Mon Feb 07 2000 - ro@suse.de
- fix for new rpm: -lbz2, -lpopt, -I/usr/include/rpm
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 03 1999 - ro@suse.de
- added popt to neededforbuild (for rpm-3.0)
- update to 1.2
* Wed Dec 02 1998 - ke@suse.de
- update: version 1.0.
- do not install libxml.a.
* Thu Aug 13 1998 - ke@suse.de
- update: version 0.98.
* Fri Jul 10 1998 - ke@suse.de
- update: version 0.96.
* Mon Apr 06 1998 - ke@suse.de
- rpm2html.spec: Add #neededforbuild libz.
* Fri Apr 03 1998 - ke@suse.de
- update: version 0.85.
* Sat Feb 28 1998 - ke@suse.de
- initial package: version rpm2html-0.70p1
